CVE-2007-3257

NameCVE-2007-3257
DescriptionCamel (camel-imap-folder.c) in the mailer component for Evolution Data Server 1.11 allows remote IMAP servers to execute arbitrary code via a negative SEQUENCE value in GData, which is used as an array index.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1321-1, DSA-1325-1
NVD severitymedium (attack range: remote)
Debian Bugs429876
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
evolution (PTS)squeeze2.30.3-5fixed
wheezy3.4.4-3fixed
jessie, sid3.12.9~git20141130.241663-1fixed
evolution-data-server (PTS)squeeze2.30.3-2+squeeze1fixed
wheezy3.4.4-3+deb7u1fixed
jessie, sid3.12.9~git20141128.5242b0-2+deb8u2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
evolutionsource(unstable)2.12.0-1medium
evolutionsourceetch2.6.3-6etch1mediumDSA-1325-1
evolutionsourcesarge2.0.4-2sarge2mediumDSA-1325-1
evolution-data-serversource(unstable)1.10.2-2medium429876
evolution-data-serversourceetch1.6.3-5etch1mediumDSA-1321-1
evolution-data-serversourcesarge(not affected)

Notes

[sarge] - evolution-data-server <not-affected> (Vulnerable code present in a different source package)

Search for package or bug name: Reporting problems